#
%define		module	pysnmp
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module
#
Summary:	SNMP engine for Python
Summary(pl.UTF-8):	Obsługa SNMP dla Pythona
Name:		python-%{module}
Version:	4.2.5
Release:	12
License:	BSD-like
Group:		Libraries/Python
Source0:	http://downloads.sourceforge.net/pysnmp/pysnmp-%{version}.tar.gz
# Source0-md5:	1f75d3e392a050e84348904fc1be3212
URL:		http://pysnmp.sourceforge.net/
BuildRequires:	rpmbuild(macros) >= 1.710
%if %{with python2}
BuildRequires:	python >= 1:2.5
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3 >= 1:2.3
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
Requires:	python-Crypto
Requires:	python-pyasn1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a set of tools required by the Structure of Management
Information (SMI v.1 & v.2) to be used in Python programming
environment. Primarily, they are SNMP engine and MIB compiler.

%description -l pl.UTF-8
Zestaw narzędzi pozwalających pisać w Pythonie programy korzystające z
protokołu SNMP. Zawiera procedury służące do zarządzania obiektami MIB
(Management Information Base), opisanych przez normy SMI (Structure of
Management Information) v1 i v2.

%package -n python3-%{module}
Summary:	SNMP engine for Python
Summary(pl.UTF-8):	Obsługa SNMP dla Pythona
Group:		Libraries/Python

%description -n python3-%{module}
This is a set of tools required by the Structure of Management
Information (SMI v.1 & v.2) to be used in Python programming
environment. Primarily, they are SNMP engine and MIB compiler.

%description -n python3-%{module} -l pl.UTF-8
Zestaw narzędzi pozwalających pisać w Pythonie programy korzystające z
protokołu SNMP. Zawiera procedury służące do zarządzania obiektami MIB
(Management Information Base), opisanych przez normy SMI (Structure of
Management Information) v1 i v2.

%package doc
Summary:	Documentation for Python pysnmp module
Summary(pl.UTF-8):	Dokumentacja do modułu Pythona pysnmp
Group:		Libraries/Python

%description doc
This package contains documentation files for Python pysnmp module.

%description doc -l pl.UTF-8
Ten pakiet zwiera dokumentację do modułu Pythona pysnmp.

%package examples
Summary:	Example programs for Python pysnmp module
Summary(pl.UTF-8):	Programy przykładowe do modułu Pythona pysnmp
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This package contains example programs for Python pysnmp module.

%description examples -l pl.UTF-8
Ten pakiet zawiera przykładowe programy do modułu Pythona pysnmp.

%package -n python3-%{module}-examples
Summary:	Example programs for Python pysnmp module
Summary(pl.UTF-8):	Programy przykładowe do modułu Pythona pysnmp
Group:		Libraries/Python
Requires:	python3-%{module} = %{version}-%{release}

%description -n python3-%{module}-examples
This package contains example programs for Python pysnmp module.

%description -n python3-%{module}-examples -l pl.UTF-8
Ten pakiet zawiera przykładowe programy do modułu Pythona pysnmp.

%prep
%setup -q -n %{module}-%{version}

%{__sed} -i -e '1s,/usr/bin/env python,%{__python},' \
	tools/libsmi2pysnmp

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_examplesdir}}

%if %{with python2}
%py_install

find $RPM_BUILD_ROOT%{py_sitescriptdir} -type f -name "*.py" '!' -path '*/v4/smi/mibs/*' | xargs rm

cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
%endif

%if %{with python3}
%py3_install

cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
%endif

install tools/libsmi2pysnmp $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README CHANGES TODO docs/mibs/*
%attr(755,root,root) %{_bindir}/*
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/pysnmp-*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc README CHANGES TODO docs/mibs/*
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/pysnmp-*.egg-info
%endif

%files doc
%defattr(644,root,root,755)
%doc docs/*

%if %{with python2}
%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%endif

%if %{with python3}
%files -n python3-%{module}-examples
%defattr(644,root,root,755)
%{_examplesdir}/python3-%{module}-%{version}
%endif
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pysnmp.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 5f4f830
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 652396a
- Release 11 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 651822c
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> ab21f2f
- rebuild with python 3.10

* Sat Mar 06 2021 Jan Palus <atler@pld-linux.org> cf953da
- remove binary_mibs patch dropped from spec in 320cf0b

* Sat Mar 06 2021 Jan Palus <atler@pld-linux.org> becff00
- fix shebang; rel 8

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 536e0e0
- rebuild with python 3.8
- release 7 (by relup.sh)

* Fri Oct 19 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 12faecc
- python-distribute has been obsoleted by setuptools

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 7a2ad47
- release 6 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 40d83a6
- python 3.6
- release 5 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 0aeebbf
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 2a5a426
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 1ce52e5
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> dc1b61a
- release 3 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> ee57025
- python 3.4
- release 2 (by relup.sh)

* Wed Oct 30 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 02af488
- Python 3 support added

* Wed Oct 30 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> af96145
- Version: 4.2.5

* Wed Feb 06 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 2221133
- Version: 4.2.4

* Thu Dec 20 2012 Jacek Konieczny <jajcus@jajcus.net> 320cf0b
- Version: 4.2.4rc5

* Thu Dec 20 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> fe9f463
- Fix handling of compiled (pyc/pyo) mibs

